Skip to main content
`Ctrl`+`K`

# PetscCheckPointerSetIntensity

Set the intensity of debug pointer checks

## Synopsis

    PetscErrorCode PetscCheckPointerSetIntensity(PetscInt intensity)

Not Collective

## Input Parameter

- intensity - how much to check pointers for validity

## Options Database Key

- -check_pointer_intensity - intensity (0, 1, or 2)

## Notes

An intense pointer check registers a signal handler and attempts to dereference to confirm whether the address is valid. An intensity of 0 never uses signal handlers, 1 uses them when not in a “hot” function, and intensity of 2 always uses a signal handler.

## See Also

`PetscCheckPointer()`, `PetscFunctionBeginHot()`

## Level

advanced

## Location

src/sys/error/checkptr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages